Subject: RE: What's the right forum for developing XML Messaging

From: David Burdett <[email-masked]>
Date: Fri, 18 Feb 2000 17:32:50 -0800

The IOTP specification (version 1.0) is now complete and should shortly be
issued as an informational RFC. This specification was developed before much
development work had been done on schemas. Therefore everything is defined
in terms of DTDs. I don't think that schemas will be used until version 2.0
of IOTP is developed. This is dependent on the feedback obtained from the
results of implementations of version 1.0 and the development of a separate
messaging specification.

For XML Messaging (and/or ebXML) I anticipate that both Schema and DTD
versions of the necessary documents will be developed as this does not
affect the document **instance**.

You can then:
o use either the DTD or the Schema depending on what meets your need best,
and
o if you choose the DTD, implement the validation and other rules implied by
the schema as code within your application.

Regards

David

-----Original Message-----
From: Michie, Alan [mailto:[email-masked]]
Sent: Thursday, February 17, 2000 12:59 PM
To: 'David Burdett'
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David,

The group of people who developed IOTP have probably already decided what to
do about the choice between using plain DTD's or some form of schema which
allows element values to be described more precisely.

Can you tell me what has been decided and why or refer me to some
information on the web or in the email archive --- OR -- is the matter still
under consideration for the xmlmessage spec?

Thanks

Alan

> -----Original Message-----
> From:	David Burdett [SMTP:[email-masked]]
> Sent:	Tuesday, 15 February 2000 06:20 pm
> To:	[email-masked]; Rik Drummond
> Cc:	Dick Brooks (E); ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject:	RE: What's the right forum for developing XML Messaging
> 
> Bob
> 
> You say ...
> 
> >>>However, we welcome the participation of the IETF and we are happy to
> have a dialog about how we can most effectively use the resources of both
> organizations to produce the highest quality result.<<<
> 
> Neither the IETF nor the ebXML have ANY resources. What they do have is
> individuals who work for companies who aim to develop solutions to common
> problems in an open way for the benefit of themselves, their companies and
> the wider community.
> 
> Whether the individuals concerned work within the domain of the IETF or
> ebXML is immaterial. If the same group of individuals work on essentially
> the same problems from the same starting point in either forum then the
> end
> result will be very similar.
> 
> I am actually neutral about whether work, such as the TP&R work, should be
> done in the IETF or ebXML as I think either could work. What really counts
> is finding a forum for a community of individuals representing the
> companies
> who will actually implement the solutions to work rapidly towards a common
> end point. If we don't then we will risk the development of competing
> standards which is in no-one's interest.
> 
> So what we are talking about here really is finding a governance structure
> that works for everyone. Perhaps a joint governance approach between ebXML
> and the IETF might be appropriate and helpful if one were possible to set
> up.
> 
> I also know that individuals CAN't sensibly work to develop simultaneously
> two solutions to essentially a single problem. Hence my original email.
> 
> David
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, February 14, 2000 6:27 PM
> To: Rik Drummond
> Cc: Dick Brooks (E); David Burdett; ebXML Transport (E-mail); IETF Trade
> (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Let me add a bit to this. Just for the record, I work for IBM, I'm on the
> OASIS board,
> and I'm Vice-Chair of ebXML.
> 
> IBM has participated in many of the fine efforts of the IETF. So it is
> wrong to say in
> any way that IBM is anti-IETF. We will continue to particpate in the IETF,
> ebXML, OASIS,
> W3C, HL7, IFX Forum, ...
> 
> The ebXML effort is a unique attempt by more than 100 people representing
> over 50
> companies, consortiums, and trade organizations to provide a coherent,
> unified
> infrastructure solution around XML for e-business. In order to relevant,
> this work must be
> done quickly and thus must synthesize quality work that has been done
> elsewhere.
> In some cases the work we do will be new, but we will always first look at
> existing
> art and we will work with other consortiums where appropriate. In the case
> where the
> other work is being done concurrently, we will endeavor to work together
> with the
> other consortium to create a final standard that is actually useful and
> does not
> divide the industry. We welcome all organizations involved to share in
> this
> commitment. We welcome all companies and organizations who are not
> involved to join us and create a positive result. We hope that their
> involvement
> from the inside will make the ebXML effort stronger and maximally
> inclusive.
> In my opinion, it does no person, company, or organization any good for
> them
> to use their lack of involvement as a poliical lever to criticize the
> effort.
> 
> The messaging work being done within Rik's group is central to much of
> what
> will come out of ebXML and is also likely to be one of the first
> deliverables. I
> therefore feel that the work must remain within ebXML. However, we welcome
> the participation of the IETF and we are happy to have a dialog about how
> we can most effectively use the resources of both organizations to produce
> the highest quality result. We are very open-minded about the
> structure of such a collaboration and in no way am I looking at this as
> being an ebXML vs. IETF or an IBM vs. Microsoft issue. If others wish to
> make it such, I would appreciate their open statements to this effect.
> 
> _____________________________________________________
> 
> Bob Sutor
> 
>         IBM XML Strategy and Technology Group: http://www.ibm.com/xml
>         OASIS Chief Strategy Officer: http://www.oasis-open.org
> 
>         Office 716-243-2445 / Fax 716-243-1778 / Tieline 320-9138
>         Cellular 716-317-6899 / Pager 1-800-946-4645 PIN # 1473757
> 
> 
> "Rik Drummond" <[email-masked]>@lists.oasis-open.org on 02/13/2000
> 06:59:24 PM
> 
> Sent by:  [email-masked]
> 
> 
> To:   "Dick Brooks (E)" <[email-masked]>, "David Burdett"
>       <[email-masked]>
> cc:   "ebXML Transport (E-mail)" <[email-masked]>,
>       "IETF Trade (E-mail)" <[email-masked]>
> Subject:  RE: What's the right forum for developing XML Messaging
> 
> 
> 
> ibm and microsoft are at logger-heads... forcing a decision to go to
> ietf..
> means ibm will not easily follow. forcing a decision to stay in ebxml
> means
> that microsoft will not participate.... so we should not force a decision
> by
> stirring things up until we see if we can find a win/win. i am not sure
> one
> exists... but then i am not done looking for one yet... best regards, Rik
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Dick
> Brooks (E)
> Sent: Friday, February 11, 2000 9:06 PM
> To: David Burdett; Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Rik, I wouldn't classify Dave's e-mail to TRADE as "forcing an either or
> decision". Candidly, I'm not convinced the IETF is the right forum for an
> XML standard. The IETF rules regarding RFC status of interdependcies, ref:
> S/MIME,  could require us to make XML and other non-IETF standards IETF
> RFC's first. As you know this can take some time.
> 
> At this juncture we know that XML Messaging is one of several fine
> candidates in the running to become  the ebXML transport standard. We will
> know if it's the best solution after our group has had time to evalute all
> candidates in detail. I think the entire community would be best served if
> we focus on identifying what is best for ebXML and when we know what the
> best solution is we should pitch it to the appropriate standards bodies
> for
> endorsement. Anything else is premature.
> 
> Dave, it really is a personal decision as to which effort you wish to
> focus
> on and only you can make this call.
> 
> just my .02
> 
> Dick
> http://www.8760.com
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Friday, February 11, 2000 6:21 PM
> To: Rik Drummond
> Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> Rik
> 
> I'm not forcing a "one or the other decision" I'm trying to be practical.
> Right now IETF XML Messaging and ebXML TP&R are of just about identical
> scope and at an identical stage of development. Therefore it does not
> really
> make sense for two groups of people to work in parallel on the same
> activities that might result in competing specifications.
> 
> I'm also the editor on both initiatives as well as author of the XML
> Messaging Requirements document that has just been published. So it will
> be
> impossible and impractical for any work I do in one group to not influence
> the other.
> 
> More importantly I do not have the time to work on both. So on a personal
> level I have no option but to choose one or other of the initiatives to
> work
> on.
> 
> I therefore thought it only fair to draw to the attention of the IETF
> Trade
> WG community the necessity for me to choose which initiative to work on as
> well as point out the opportunity for the Trade WG members to get involved
> in ebXML if they want to since I think it an important and worthwhile
> open-standards initiative.
> 
> There is also an IETF Trade WG Meeting in Adelaide, Australia at the end
> of
> March and I wanted to provide an opportunity for discussion on the email
> list before the meeting as this will make any discussion in the Adelaide
> meeting better informed.
> 
> There is also a possibility that I will not be able to make the Adelaide
> meeting so email discussion within the IETF is in my view essential and
> sooner rather than later.
> 
> As far as the other initiatives are concerned, then I agree that we need
> to
> continue our co-ordination efforts with respect to, for example, SOAP and
> EDIINT. I will be pleased to work with you in this regard.
> 
> Finally I think there are both benefits and disadvantages to both ebXML
> and
> the IETF as forums for developing a "messaging" specification and welcome
> the views of both the IETF and ebXML communities on this matter.
> 
> Regards
> 
> David
> Editor IETF Trade WG & ebXML Transport, Packaging & Routing WG
> 
> 
> -----Original Message-----
> From: Rik Drummond [mailto:[email-masked]]
> Sent: Thursday, February 10, 2000 9:54 PM
> To: David Burdett; IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: RE: What's the right forum for developing XML Messaging
> 
> 
> David, you are trying to force an "either one or the other" decision.
> 
> I don't think that is appropriate at this time or the only option. An
> option
> exists where team leaders and workgroup leaders coordinate between the
> ebXML
> and the IETF groups that have possible charters in this area. They are:
> EDIINT, soap, IOTP and possibly others.
> 
> I have been talking with Microsoft and IBM on the issue. it is too early
> to
> tell if we can establish coordination and hence too early to decide on
> "either one or the other".
> 
> Best regards, Rik
> team leader ebXML transport and packaging team &
> chair IETF EDIINT wg
> 
> 
> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David
> Burdett
> Sent: Thursday, February 10, 2000 6:12 PM
> To: IETF Trade (E-mail)
> Cc: ebXML Transport (E-mail)
> Subject: What's the right forum for developing XMl Messaging
> 
> 
> To Members of the IETF Trade Working Group ...
> 
> The purpose of this email is to solicit opinions from the IETF Trade
> Working
> Group on the "best" forum for developing specifications for "XML
> Messaging".
> 
> Although I have made one submission on this topic to this working group,
> interest in developing this type of specification has also arisen within
> ebXML which is a joint United Nations/OASIS development.
> 
> Clearly it does not make sense for two - probably competing -
> specifications
> to be developed in the same area. Hence this email.
> 
> The remainder of this email contains some background information on XML
> Messaging and ebXML.
> 
> I encourage members of the Trade Working Group to make known their views
> on
> these alternatives development forums.
> 
> Regards
> 
> David Burdett
> 
> Advanced Technology, CommerceOne
> 1600 Riviera Ave, Suite 200, Walnut Creek, CA 94596, USA
> Tel: +1 (925) 941 4422 or +1 (650) 623 2888;
> mailto:[email-masked]; Web: http://www.commerceone.com
> 
> ======================================
> 
> The following provides:
> *    a brief recap on XML Messaging
> *    a more detailed explanation of ebXML, and
> *    a brief evaluation of some of the advantages and disadvantages, as I
> see it, for using either to develop specifications like "XML Messaging"
> 
> XML MESSAGING SPEC
> ==================
> On 25th January an Internet Draft titled "Requirements for XML Messaging
> Version 1.0 Release 00" was published (see
> http://www.ietf.org/internet-drafts/draft-ietf-trade-xmlmsg-requirements-0
> 0

---

From: Rik Drummond <[email-masked]>
Date: Mon, 21 Feb 2000 15:07:31 -0600

almost every effort i know of in xml is waiting for schemas, because the
dtd's just are not rich enough to do what the ec world needs. most becuase
schemas are not standard yet are doing dtd's and anticipating schemas. that
will probably be our be what we end up doing in the end. however it is too
early to tell at this time... rik

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of David
Burdett
Sent: Friday, February 18, 2000 7:33 PM
To: 'Michie, Alan'; David Burdett
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

You can then:

Regards

David

-----Original Message-----
From: Michie, Alan [mailto:[email-masked]]
Sent: Thursday, February 17, 2000 12:59 PM
To: 'David Burdett'
Cc: ebXML Transport (E-mail); IETF Trade (E-mail)
Subject: RE: What's the right forum for developing XML Messaging

David,

Thanks

Alan